/**
* @module vue-mdc-adaptercard 0.6.3
* @exports VueMDCCard
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.26.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCCard=e()}(this,function(){"use strict";var t={components:{CustomElement:{functional:!0,render:function(t,e){return t(e.props.is||e.props.tag||"div",e.data,e.children)}}}},e=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},i=function(){function t(t,e){for(var i=0;i<e.length;i++){var a=e[i];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(t,a.key,a)}}return function(e,i,a){return i&&t(e.prototype,i),a&&t(e,a),e}}(),a=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},n=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},r={props:{event:String,"event-target":Object,"event-args":Array},methods:{dispatchEvent:function(t){if(this.$emit(t.type),this.event){var e=this.eventTarget||this.$root,i=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,i=Array(t.length);e<t.length;e++)i[e]=t[e];return i}return Array.from(t)}(i)))}}}},s={render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"mdc-card",class:this.classes},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card",props:{dark:Boolean},data:function(){return{classes:{"mdc-card--theme-dark":this.dark}}}},o={render:function(){var t=this.$createElement;return(this._self._c||t)("section",{staticClass:"mdc-card-media mdc-card__media",style:this.styles,attrs:{classes:{"mdc-theme--dark":this.dark}}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card-media",props:{src:String,size:String,position:String,height:[String,Number],dark:Boolean},computed:{styles:function(){var t={backgroundImage:"url("+this.src+")",backgroundSize:this.size,backgroundPosition:this.position};return this.height&&(t.height=this.height+"px"),t}}},c={render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("section",{staticClass:"mdc-card-header mdc-card__primary"},[t._t("default",[t.title?i("h1",{staticClass:"mdc-card__title",class:{"mdc-card__title--large":t.largeTitle}},[t._v(" "+t._s(t.title)+" ")]):t._e(),t._v(" "),t.subtitle?i("h2",{staticClass:"mdc-card__subtitle"},[t._v(" "+t._s(t.subtitle)+" ")]):t._e()])],2)},staticRenderFns:[],name:"mdc-card-header",props:{title:String,subtitle:String,"large-title":{type:Boolean,default:!0}}},d={render:function(){var t=this.$createElement;return(this._self._c||t)("h1",{staticClass:"mdc-card-title mdc-card__title",class:{"mdc-card__title--large":this.large}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card-title",props:{large:Boolean}},u={render:function(){var t=this.$createElement;return(this._self._c||t)("img",{staticClass:"mdc-card-img mdc-card__media-item",class:this.classes,attrs:{src:this.src}})},staticRenderFns:[],name:"mdc-card-img",props:{src:{type:String,required:!0},mult:{type:[Number,String],validator:function(t){return[1,1.5,2,3].includes(Number(t))}}},computed:{classes:function(){var t=Number(this.mult);return{"mdc-card__media-item--1dot5x":1.5===t,"mdc-card__media-item--2x":2===t,"mdc-card__media-item--3x":3===t}}}},l=function(){function t(){var i=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,t),this.adapter_=i}return i(t,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),i(t,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),t}(),f=(function(){function t(){e(this,t)}i(t,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),_={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},m={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},h=void 0,v={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},p=function(t){function r(t){e(this,r);var i=n(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,t)));return i.layoutFrame_=0,i.frame_={width:0,height:0},i.activationState_=i.defaultActivationState_(),i.xfDuration_=0,i.initialSize_=0,i.maxRadius_=0,i.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],i.listeners_={activate:function(t){return i.activate_(t)},deactivate:function(t){return i.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return i.adapter_.addClass(r.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return i.adapter_.removeClass(r.cssClasses.BG_FOCUSED)})}},i.resizeHandler_=function(){return i.layout()},i.unboundedCoords_={left:0,top:0},i.fgScale_=0,i.activationTimer_=0,i.fgDeactivationRemovalTimer_=0,i.activationAnimationHasEnded_=!1,i.activationTimerCallback_=function(){i.activationAnimationHasEnded_=!0,i.runDeactivationUXLogicIfReady_()},i}return a(r,l),i(r,null,[{key:"cssClasses",get:function(){return f}},{key:"strings",get:function(){return _}},{key:"numbers",get:function(){return m}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),i(r,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=r.cssClasses,i=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(i),t.adapter_.isUnbounded()&&t.adapter_.addClass(a),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(i){t.adapter_.registerInteractionHandler(e[i],t.listeners_[i])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var i=this.activationState_;i.isActivated||(i.isActivated=!0,i.isProgrammatic=null===t,i.activationEvent=t,i.wasActivatedByPointer=!i.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),i.activationStartTime=Date.now(),requestAnimationFrame(function(){i.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),i.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=r.strings,i=e.VAR_FG_TRANSLATE_START,a=e.VAR_FG_TRANSLATE_END,n=r.cssClasses,s=n.BG_ACTIVE_FILL,o=n.FG_DEACTIVATION,c=n.FG_ACTIVATION,d=r.numbers.DEACTIVATION_TIMEOUT_MS,u="",l="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),_=f.startPoint,m=f.endPoint;u=_.x+"px, "+_.y+"px",l=m.x+"px, "+m.y+"px"}this.adapter_.updateCssVariable(i,u),this.adapter_.updateCssVariable(a,l),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(c),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},d)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,i=void 0;return{startPoint:i={x:(i=t.wasActivatedByPointer?function(t,e,i){var a=e.x,n=e.y,r=a+i.left,s=n+i.top,o=void 0,c=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-r,c=t.changedTouches[0].pageY-s):(o=t.pageX-r,c=t.pageY-s),{x:o,y:c}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:i.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=r.cssClasses.FG_DEACTIVATION,i=this.activationState_,a=i.hasDeactivationUXRun,n=i.isActivated;(a||!n)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},m.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=r.cssClasses,e=t.BG_ACTIVE_FILL,i=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(i),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,i=this.activationState_;if(i.isActivated){if(i.isProgrammatic){var a=Object.assign({},i);return requestAnimationFrame(function(){return e.animateDeactivation_(null,a)}),void(this.activationState_=this.defaultActivationState_())}var n=v[t.type]===i.activationEvent.type,r=n;i.wasActivatedByPointer&&(r="mouseup"===t.type);var s=Object.assign({},i);requestAnimationFrame(function(){n&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,s)),r&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var i=e.wasActivatedByPointer,a=e.wasElementMadeActive,n=r.cssClasses.BG_FOCUSED;(i||a)&&(this.adapter_.removeClass(n),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=r.cssClasses,i=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(i),t.adapter_.removeClass(a),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(i){t.adapter_.deregisterInteractionHandler(e[i],t.listeners_[i])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=r.strings;Object.keys(e).forEach(function(i){0===i.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[i],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*r.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+r.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=r.strings,e=t.VAR_FG_SIZE,i=t.VAR_LEFT,a=t.VAR_TOP,n=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(n,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(i,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(a,this.unboundedCoords_.top+"px"))}}]),r}(),g=function(t){function r(t,i){return e(this,r),n(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof h&&!e)return h;if(t.CSS&&"function"==typeof t.CSS.supports){var i=t.CSS.supports("--css-vars","yes"),a=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return h=!(!i&&!a||function(t){var e=t.document,i=e.createElement("div");i.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(i);var a=t.getComputedStyle(i),n=null!==a&&"solid"===a.borderTopStyle;return i.remove(),n}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return t.$el.getBoundingClientRect()},isSurfaceActive:function(){return t.$el[r.MATCHES](":active")},isSurfaceDisabled:function(){return t.disabled},addClass:function(e){t.$set(t.classes,e,!0)},removeClass:function(e){t.$delete(t.classes,e)},registerInteractionHandler:function(e,i){t.$el.addEventListener(e,i)},deregisterInteractionHandler:function(e,i){t.$el.removeEventListener(e,i)},updateCssVariable:function(e,i){t.$set(t.styles,e,i)}},i)))}return a(r,p),i(r,null,[{key:"isSurfaceActive",value:function(t){return t[r.MATCHES](":active")}},{key:"MATCHES",get:function(){return r._matches||(r._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}]),r}(),y={render:function(){var t=this,e=t.$createElement;return(t._self._c||e)("custom-element",{ref:"root",staticClass:"mdc-card-action-button",class:t.classes,style:t.styles,attrs:{tag:t.isLink?"a":"button",href:t.isLink&&t.href,role:t.isLink?"button":void 0,disabled:t.disabled},on:{click:t.dispatchEvent}},[t._t("default")],2)},staticRenderFns:[],name:"mdc-card-action-button",mixins:[r,t],props:{href:String,disabled:Boolean},data:function(){return{classes:{"mdc-button":!0,"mdc-button--compact":!0,"mdc-card__action":!0},styles:{}}},computed:{isLink:function(){return this.href&&!this.disabled}},mounted:function(){this.ripple=new g(this),this.ripple.init()},beforeDestroy:function(){this.ripple.destroy()}},C=function(t){return{install:function(e){for(var i in t){var a=t[i];e.component(a.name,a)}},components:t}}({mdcCard:s,mdcCardMedia:o,mdcCardHeader:c,mdcCardTitle:d,mdcCardSubtitle:{render:function(){var t=this.$createElement;return(this._self._c||t)("h2",{staticClass:"mdc-card-subtitle mdc-card__subtitle"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card-subtitle"},mdcCardText:{render:function(){var t=this.$createElement;return(this._self._c||t)("section",{staticClass:"mdc-card-text mdc-card__supporting-text"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card-text"},mdcCardHorizontal:{render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"mdc-card-horizontal mdc-card__horizontal-block"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card-horizontal"},mdcCardImg:u,mdcCardActions:{render:function(){var t=this.$createElement;return(this._self._c||t)("section",{staticClass:"mdc-card-actions",class:this.classes},[this._t("default")],2)},staticRenderFns:[],name:"mdc-card-actions",props:{vertical:Boolean},components:{"mdc-card-action-button":y},data:function(){return{classes:{"mdc-card__actions":!0,"mdc-card__actions--vertical":this.vertical}}}},mdcCardActionButton:y});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(C),C});
//# sourceMappingURL=card.min.js.map
