/**
* @module vue-mdc-adaptergrid-list 0.6.3
* @exports VueMDCGridList
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.26.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCGridList=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(t,n.key,n)}}return function(e,i,n){return i&&t(e.prototype,i),n&&t(e,n),e}}(),i=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},n=function(){function i(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,i),this.adapter_=e}return e(i,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(i,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),i}(),r=(function(){function i(e){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;t(this,i),this.root_=e;for(var r=arguments.length,s=Array(r>2?r-2:0),o=2;o<r;o++)s[o-2]=arguments[o];this.initialize.apply(this,s),this.foundation_=void 0===n?this.getDefaultFoundation():n,this.foundation_.init(),this.initialSyncWithDOM()}e(i,null,[{key:"attachTo",value:function(t){return new i(t,new n)}}]),e(i,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(t,e){this.root_.addEventListener(t,e)}},{key:"unlisten",value:function(t,e){this.root_.removeEventListener(t,e)}},{key:"emit",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=void 0;"function"==typeof CustomEvent?n=new CustomEvent(t,{detail:e,bubbles:i}):(n=document.createEvent("CustomEvent")).initCustomEvent(t,i,!1,e),this.root_.dispatchEvent(n)}}])}(),{TILES_SELECTOR:".mdc-grid-list__tiles",TILE_SELECTOR:".mdc-grid-tile"}),s=function(s){function o(e){t(this,o);var n=i(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,Object.assign(o.defaultAdapter,e)));return n.resizeHandler_=function(){return n.alignCenter()},n.resizeFrame_=0,n}return function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)}(o,n),e(o,null,[{key:"strings",get:function(){return r}},{key:"defaultAdapter",get:function(){return{getOffsetWidth:function(){return 0},getNumberOfTiles:function(){return 0},getOffsetWidthForTileAtIndex:function(){return 0},setStyleForTilesElement:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){}}}}]),e(o,[{key:"init",value:function(){this.alignCenter(),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"alignCenter",value:function(){var t=this;0!==this.resizeFrame_&&cancelAnimationFrame(this.resizeFrame_),this.resizeFrame_=requestAnimationFrame(function(){t.alignCenter_(),t.resizeFrame_=0})}},{key:"alignCenter_",value:function(){if(0!=this.adapter_.getNumberOfTiles()){var t=this.adapter_.getOffsetWidth(),e=this.adapter_.getOffsetWidthForTileAtIndex(0),i=e*Math.floor(t/e);this.adapter_.setStyleForTilesElement("width",i+"px")}}}]),o}(),o=function(t){return{install:function(e){for(var i in t){var n=t[i];e.component(n.name,n)}},components:t}}({mdcGridList:{render:function(){var t=this.$createElement,e=this._self._c||t;return e("div",{staticClass:"mdc-grid-list",class:this.classes,style:this.styles},[e("ul",{staticClass:"mdc-grid-list__tiles"},[this._t("default")],2)])},staticRenderFns:[],name:"mdc-grid-list",props:{width:[String,Number],ratio:String,"narrow-gutter":Boolean,"header-caption":Boolean,"icon-align-start":Boolean,"icon-align-end":Boolean,"with-support-text":Boolean},data:function(){var t={};this.narrowGutter&&(t["mdc-grid-list--tile-gutter-1"]=!0),this.headerCaption&&(t["mdc-grid-list--header-caption"]=!0),this.ratio&&(t["mdc-grid-list--tile-aspect-"+this.ratio]=!0),this.iconAlignStart&&(t["mdc-grid-list--with-icon-align-start"]=!0),this.iconAlignEnd&&(t["mdc-grid-list--with-icon-align-end"]=!0),this.withSupportText&&(t["mdc-grid-list--twoline-caption"]=!0);var e={};return this.width&&(e["--mdc-grid-list-tile-width"]=this.width+"px"),{classes:t,styles:e}},mounted:function(){var t=this;this.foundation=new s({getOffsetWidth:function(){return t.$el.offsetWidth},getNumberOfTiles:function(){return t.$el.querySelectorAll(s.strings.TILE_SELECTOR).length},getOffsetWidthForTileAtIndex:function(e){return t.$el.querySelectorAll(s.strings.TILE_SELECTOR)[e].offsetWidth},setStyleForTilesElement:function(e,i){t.$el.querySelector(s.strings.TILES_SELECTOR).style[e]=i},registerResizeHandler:function(t){window.addEventListener("resize",t)},deregisterResizeHandler:function(t){window.removeEventListener("resize",t)}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()}},mdcGridTile:{render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("li",{staticClass:"mdc-grid-tile"},[t.cover?i("div",{staticClass:"mdc-grid-tile__primary"},[i("div",{staticClass:"mdc-grid-tile__primary-content",style:{backgroundImage:"url("+t.src+")"}})]):i("div",{staticClass:"mdc-grid-tile__primary"},[i("img",{staticClass:"mdc-grid-tile__primary-content",attrs:{src:t.src}})]),t._v(" "),t.title||t.supportText?i("span",{staticClass:"mdc-grid-tile__secondary"},[t.icon?i("i",{staticClass:"mdc-grid-tile__icon material-icons"},[t._v(t._s(t.icon))]):t._e(),t._v(" "),t.title?i("span",{staticClass:"mdc-grid-tile__title"},[t._v(t._s(t.title))]):t._e(),t._v(" "),t.supportText?i("span",{staticClass:"mdc-grid-tile__support-text"},[t._v(t._s(t.supportText))]):t._e()]):t._e()])},staticRenderFns:[],name:"mdc-grid-tile",props:{src:String,cover:Boolean,icon:String,title:String,"support-text":String}}});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(o),o});
//# sourceMappingURL=grid-list.min.js.map
