/**
* @module vue-mdc-adapterselect 0.6.3
* @exports VueMDCSelect
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.26.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCSelect=t()}(this,function(){"use strict";function e(e,t,n){var i=arguments.length>3&&void 0!==arguments[3]&&arguments[3],r=void 0;"function"==typeof CustomEvent?r=new CustomEvent(t,{detail:n,bubbles:i}):(r=document.createEvent("CustomEvent")).initCustomEvent(t,i,!1,n),e.dispatchEvent(r)}function t(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===p||t){var n="transform"in e.document.createElement("div").style?"transform":"webkitTransform";p=n}return p}function n(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;return Math.min(n,Math.max(t,e))}function i(e,t,n,i,o){return r(function(e,t,n){if(e<=0)return 0;if(e>=1)return 1;for(var i=e,o=0,s=1,a=0,u=0;u<8;u++){a=r(i,t,n);var l=(r(i+1e-6,t,n)-a)/1e-6;if(Math.abs(a-e)<1e-6)return i;if(Math.abs(l)<1e-6)break;a<e?o=i:s=i,i-=(a-e)/l}for(var c=0;Math.abs(a-e)>1e-6&&c<8;c++)a<e?(o=i,i=(i+s)/2):(s=i,i=(i+o)/2),a=r(i,t,n);return i}(e,t,i),n,o)}function r(e,t,n){if(0===e||1===e)return e;var i=e*t,r=t+e*(n-t);return i+=e*(r-i),r+=e*(n+e*(1-n)-r),i+e*(r-i)}var o=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},s=function(){function e(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}return function(t,n,i){return n&&e(t.prototype,n),i&&e(t,i),t}}(),a=function(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e},u=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},l=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},c={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("select",{directives:[{name:"model",rawName:"v-model",value:e.selected,expression:"selected"}],ref:"root",staticClass:"mdc-select mdc-native-select",attrs:{disabled:e.disabled},on:{change:[function(t){var n=Array.prototype.filter.call(t.target.options,function(e){return e.selected}).map(function(e){return"_value"in e?e._value:e.value});e.selected=t.target.multiple?n:n[0]},e.onChange]}},[e.label?n("option",{attrs:{disabled:"disabled",value:""}},[e._v(e._s(e.label))]):e._e(),e._v(" "),e._t("default")],2)},staticRenderFns:[],name:"mdc-native-select",model:{prop:"value",event:"change"},props:{value:[String,Array],disabled:Boolean,label:String},data:function(){return{selected:this.value}},methods:{onChange:function(){this.$emit("change",this.selected)}}},d=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};o(this,e),this.adapter_=t}return s(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),s(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),f=(function(){function e(){o(this,e)}s(e,[{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"hasClass",value:function(e){}},{key:"hasNecessaryDom",value:function(){}},{key:"getAttributeForEventTarget",value:function(e,t){}},{key:"getInnerDimensions",value:function(){}},{key:"hasAnchor",value:function(){}},{key:"getAnchorDimensions",value:function(){}},{key:"getWindowDimensions",value:function(){}},{key:"setScale",value:function(e,t){}},{key:"setInnerScale",value:function(e,t){}},{key:"getNumberOfItems",value:function(){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerBodyClickHandler",value:function(e){}},{key:"deregisterBodyClickHandler",value:function(e){}},{key:"getYParamsForItemAtIndex",value:function(e){}},{key:"setTransitionDelayForItemAtIndex",value:function(e,t){}},{key:"getIndexForEventTarget",value:function(e){}},{key:"notifySelected",value:function(e){}},{key:"notifyCancel",value:function(){}},{key:"saveFocus",value:function(){}},{key:"restoreFocus",value:function(){}},{key:"isFocused",value:function(){}},{key:"focus",value:function(){}},{key:"getFocusedItemIndex",value:function(){}},{key:"focusItemAtIndex",value:function(e){}},{key:"isRtl",value:function(){}},{key:"setTransformOrigin",value:function(e){}},{key:"setPosition",value:function(e){}},{key:"getAccurateTime",value:function(){}}])}(),{ROOT:"mdc-simple-menu",OPEN:"mdc-simple-menu--open",ANIMATING:"mdc-simple-menu--animating",TOP_RIGHT:"mdc-simple-menu--open-from-top-right",BOTTOM_LEFT:"mdc-simple-menu--open-from-bottom-left",BOTTOM_RIGHT:"mdc-simple-menu--open-from-bottom-right"}),m={ITEMS_SELECTOR:".mdc-simple-menu__items",SELECTED_EVENT:"MDCSimpleMenu:selected",CANCEL_EVENT:"MDCSimpleMenu:cancel",ARIA_DISABLED_ATTR:"aria-disabled"},h={SELECTED_TRIGGER_DELAY:50,TRANSITION_DURATION_MS:300,TRANSITION_SCALE_ADJUSTMENT_X:.5,TRANSITION_SCALE_ADJUSTMENT_Y:.2,TRANSITION_X1:0,TRANSITION_Y1:0,TRANSITION_X2:.2,TRANSITION_Y2:1},p=void 0,_=function(e){function t(e){o(this,t);var n=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,Object.assign(t.defaultAdapter,e)));return n.clickHandler_=function(e){return n.handlePossibleSelected_(e)},n.keydownHandler_=function(e){return n.handleKeyboardDown_(e)},n.keyupHandler_=function(e){return n.handleKeyboardUp_(e)},n.documentClickHandler_=function(e){n.adapter_.notifyCancel(),n.close(e)},n.isOpen_=!1,n.startScaleX_=0,n.startScaleY_=0,n.targetScale_=1,n.scaleX_=0,n.scaleY_=0,n.running_=!1,n.selectedTriggerTimerId_=0,n.animationRequestId_=0,n.dimensions_,n.startTime_,n.itemHeight_,n}return u(t,d),s(t,null,[{key:"cssClasses",get:function(){return f}},{key:"strings",get:function(){return m}},{key:"numbers",get:function(){return h}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},hasNecessaryDom:function(){return!1},getAttributeForEventTarget:function(){},getInnerDimensions:function(){return{}},hasAnchor:function(){return!1},getAnchorDimensions:function(){return{}},getWindowDimensions:function(){return{}},setScale:function(){},setInnerScale:function(){},getNumberOfItems:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerBodyClickHandler:function(){},deregisterBodyClickHandler:function(){},getYParamsForItemAtIndex:function(){return{}},setTransitionDelayForItemAtIndex:function(){},getIndexForEventTarget:function(){return 0},notifySelected:function(){},notifyCancel:function(){},saveFocus:function(){},restoreFocus:function(){},isFocused:function(){return!1},focus:function(){},getFocusedItemIndex:function(){return-1},focusItemAtIndex:function(){},isRtl:function(){return!1},setTransformOrigin:function(){},setPosition:function(){},getAccurateTime:function(){return 0}}}}]),s(t,[{key:"init",value:function(){var e=t.cssClasses,n=e.ROOT,i=e.OPEN;if(!this.adapter_.hasClass(n))throw new Error(n+" class required in root element.");if(!this.adapter_.hasNecessaryDom())throw new Error("Required DOM nodes missing in "+n+" component.");this.adapter_.hasClass(i)&&(this.isOpen_=!0),this.adapter_.registerInteractionHandler("click",this.clickHandler_),this.adapter_.registerInteractionHandler("keyup",this.keyupHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_)}},{key:"destroy",value:function(){clearTimeout(this.selectedTriggerTimerId_),cancelAnimationFrame(this.animationRequestId_),this.adapter_.deregisterInteractionHandler("click",this.clickHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.keyupHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterBodyClickHandler(this.documentClickHandler_)}},{key:"applyTransitionDelays_",value:function(){for(var e=t.cssClasses,n=e.BOTTOM_LEFT,i=e.BOTTOM_RIGHT,r=this.adapter_.getNumberOfItems(),o=this.dimensions_.height,s=t.numbers.TRANSITION_DURATION_MS/1e3,a=t.numbers.TRANSITION_SCALE_ADJUSTMENT_Y,u=0;u<r;u++){var l=this.adapter_.getYParamsForItemAtIndex(u),c=l.top,d=l.height;this.itemHeight_=d;var f=c/o;(this.adapter_.hasClass(n)||this.adapter_.hasClass(i))&&(f=(o-c-d)/o);var m=(a+f*(1-a))*s;this.adapter_.setTransitionDelayForItemAtIndex(u,m.toFixed(3)+"s")}}},{key:"removeTransitionDelays_",value:function(){for(var e=this.adapter_.getNumberOfItems(),t=0;t<e;t++)this.adapter_.setTransitionDelayForItemAtIndex(t,null)}},{key:"animationLoop_",value:function(){var e=this,r=this.adapter_.getAccurateTime(),o=t.numbers,s=o.TRANSITION_DURATION_MS,a=o.TRANSITION_X1,u=o.TRANSITION_Y1,l=o.TRANSITION_X2,c=o.TRANSITION_Y2,d=o.TRANSITION_SCALE_ADJUSTMENT_X,f=o.TRANSITION_SCALE_ADJUSTMENT_Y,m=n((r-this.startTime_)/s),h=n((m-d)/(1-d)),p=m,_=this.startScaleY_;1===this.targetScale_&&(this.itemHeight_&&(_=Math.max(this.itemHeight_/this.dimensions_.height,_)),h=n(m+d),p=n((m-f)/(1-f)));var v=i(h,a,u,l,c),g=i(p,a,u,l,c);this.scaleX_=this.startScaleX_+(this.targetScale_-this.startScaleX_)*v;var y=1/(0===this.scaleX_?1:this.scaleX_);this.scaleY_=_+(this.targetScale_-_)*g;var I=1/(0===this.scaleY_?1:this.scaleY_);this.adapter_.setScale(this.scaleX_,this.scaleY_),this.adapter_.setInnerScale(y,I),m<1?this.animationRequestId_=requestAnimationFrame(function(){return e.animationLoop_()}):(this.animationRequestId_=0,this.running_=!1,this.adapter_.removeClass(t.cssClasses.ANIMATING))}},{key:"animateMenu_",value:function(){var e=this;this.startTime_=this.adapter_.getAccurateTime(),this.startScaleX_=this.scaleX_,this.startScaleY_=this.scaleY_,this.targetScale_=this.isOpen_?1:0,this.running_||(this.running_=!0,this.animationRequestId_=requestAnimationFrame(function(){return e.animationLoop_()}))}},{key:"focusOnOpen_",value:function(e){null===e?(this.adapter_.focus(),this.adapter_.isFocused()||this.adapter_.focusItemAtIndex(0)):this.adapter_.focusItemAtIndex(e)}},{key:"handleKeyboardDown_",value:function(e){if(e.altKey||e.ctrlKey||e.metaKey)return!0;var t=e.keyCode,n=e.key,i=e.shiftKey,r="Tab"===n||9===t,o="ArrowUp"===n||38===t,s="ArrowDown"===n||40===t,a="Space"===n||32===t,u=this.adapter_.getFocusedItemIndex(),l=this.adapter_.getNumberOfItems()-1;return i&&r&&0===u?(this.adapter_.focusItemAtIndex(l),e.preventDefault(),!1):!i&&r&&u===l?(this.adapter_.focusItemAtIndex(0),e.preventDefault(),!1):((o||s||a)&&e.preventDefault(),o?0===u||this.adapter_.isFocused()?this.adapter_.focusItemAtIndex(l):this.adapter_.focusItemAtIndex(u-1):s&&(u===l||this.adapter_.isFocused()?this.adapter_.focusItemAtIndex(0):this.adapter_.focusItemAtIndex(u+1)),!0)}},{key:"handleKeyboardUp_",value:function(e){if(e.altKey||e.ctrlKey||e.metaKey)return!0;var t=e.keyCode,n=e.key,i="Escape"===n||27===t;return("Enter"===n||13===t||("Space"===n||32===t))&&this.handlePossibleSelected_(e),i&&(this.adapter_.notifyCancel(),this.close()),!0}},{key:"handlePossibleSelected_",value:function(e){var t=this;if("true"!==this.adapter_.getAttributeForEventTarget(e.target,m.ARIA_DISABLED_ATTR)){var n=this.adapter_.getIndexForEventTarget(e.target);n<0||this.selectedTriggerTimerId_||(this.selectedTriggerTimerId_=setTimeout(function(){t.selectedTriggerTimerId_=0,t.close(),t.adapter_.notifySelected({index:n})},h.SELECTED_TRIGGER_DELAY))}}},{key:"autoPosition_",value:function(){var e;if(this.adapter_.hasAnchor()){var t="top",n="left",i=this.adapter_.getAnchorDimensions(),r=this.adapter_.getWindowDimensions(),o=i.top+this.dimensions_.height-r.height,s=this.dimensions_.height-i.bottom;o>0&&s<o&&(t="bottom");var u=i.left+this.dimensions_.width-r.width,l=this.dimensions_.width-i.right,c=u>0,d=l>0;this.adapter_.isRtl()?(n="right",d&&u<l&&(n="left")):c&&l<u&&(n="right");var f=(e={},a(e,n,"0"),a(e,t,"0"),e);this.adapter_.setTransformOrigin(t+" "+n),this.adapter_.setPosition(f)}}},{key:"open",value:function(){var e=this,n=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).focusIndex,i=void 0===n?null:n;this.adapter_.saveFocus(),this.adapter_.addClass(t.cssClasses.ANIMATING),this.animationRequestId_=requestAnimationFrame(function(){e.dimensions_=e.adapter_.getInnerDimensions(),e.applyTransitionDelays_(),e.autoPosition_(),e.animateMenu_(),e.adapter_.addClass(t.cssClasses.OPEN),e.focusOnOpen_(i),e.adapter_.registerBodyClickHandler(e.documentClickHandler_)}),this.isOpen_=!0}},{key:"close",value:function(){var e=this,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;!!n&&"true"===this.adapter_.getAttributeForEventTarget(n.target,m.ARIA_DISABLED_ATTR)||(this.adapter_.deregisterBodyClickHandler(this.documentClickHandler_),this.adapter_.addClass(t.cssClasses.ANIMATING),requestAnimationFrame(function(){e.removeTransitionDelays_(),e.animateMenu_(),e.adapter_.removeClass(t.cssClasses.OPEN)}),this.isOpen_=!1,this.adapter_.restoreFocus())}},{key:"isOpen",value:function(){return this.isOpen_}}]),t}(),v={render:function(){var e=this.$createElement,t=this._self._c||e;return t("div",{ref:"root",staticClass:"mdc-menu mdc-simple-menu",class:this.classes,attrs:{tabindex:"-1"}},[t("ul",{ref:"items",staticClass:"mdc-simple-menu__items mdc-list",attrs:{role:"menu","aria-hidden":this.isOpen()?"false":"true"}},[this._t("default")],2)])},staticRenderFns:[],name:"mdc-menu",props:{"open-from-top-left":Boolean,"open-from-top-right":Boolean,"open-from-bottom-left":Boolean,"open-from-bottom-right":Boolean},data:function(){return{classes:{"mdc-simple-menu--open-from-top-left":this.openFromTopLeft,"mdc-simple-menu--open-from-top-right":this.openFromTopRight,"mdc-simple-menu--open-from-bottom-left":this.openFromBottomLeft,"mdc-simple-menu--open-from-bottom-right":this.openFromBottomRight},items:[]}},methods:{show:function(e){this.foundation.open(e)},hide:function(){this.foundation.close()},isOpen:function(){return!!this.foundation&&this.foundation.isOpen()}},mounted:function(){var n=this,i=function(){n.items=[].slice.call(n.$refs.items.querySelectorAll(".mdc-list-item[role]")),n.$emit("update")};this.slotObserver=new MutationObserver(function(){return i()}),this.slotObserver.observe(this.$el,{childList:!0,subtree:!0});var r=t(window);this._previousFocus=void 0,this.foundation=new _({addClass:function(e){return n.$set(n.classes,e,!0)},removeClass:function(e){return n.$delete(n.classes,e)},hasClass:function(e){return n.$refs.root.classList.contains(e)},hasNecessaryDom:function(){return Boolean(n.$refs.items)},getAttributeForEventTarget:function(e,t){return e.getAttribute(t)},getInnerDimensions:function(){return{width:n.$refs.items.offsetWidth,height:n.$refs.items.offsetHeight}},hasAnchor:function(){return n.$refs.root.parentElement&&n.$refs.root.parentElement.classList.contains("mdc-menu-anchor")},getAnchorDimensions:function(){return n.$refs.root.parentElement.getBoundingClientRect()},getWindowDimensions:function(){return{width:window.innerWidth,height:window.innerHeight}},setScale:function(e,t){n.$refs.root.style[r]="scale("+e+", "+t+")"},setInnerScale:function(e,t){n.$refs.items.style[r]="scale("+e+", "+t+")"},getNumberOfItems:function(){return n.items.length},registerInteractionHandler:function(e,t){return n.$refs.root.addEventListener(e,t)},deregisterInteractionHandler:function(e,t){return n.$refs.root.removeEventListener(e,t)},registerBodyClickHandler:function(e){return document.body.addEventListener("click",e)},deregisterBodyClickHandler:function(e){return document.body.removeEventListener("click",e)},getYParamsForItemAtIndex:function(e){var t=n.items[e];return{top:t.offsetTop,height:t.offsetHeight}},setTransitionDelayForItemAtIndex:function(e,t){return n.items[e].style.setProperty("transition-delay",t)},getIndexForEventTarget:function(e){return n.items.indexOf(e)},notifySelected:function(t){var i={index:t.index,item:n.items[t.index]};n.$emit("select",i),e(n.$el,_.strings.SELECTED_EVENT,i)},notifyCancel:function(){n.$emit("cancel"),e(n.$el,_.strings.CANCEL_EVENT,{})},saveFocus:function(){n._previousFocus=document.activeElement},restoreFocus:function(){n._previousFocus&&n._previousFocus.focus()},isFocused:function(){return document.activeElement===n.$refs.root},focus:function(){return n.$refs.root.focus()},getFocusedItemIndex:function(){return n.items.indexOf(document.activeElement)},focusItemAtIndex:function(e){return n.items[e].focus()},isRtl:function(){return"rtl"===getComputedStyle(n.$refs.root).getPropertyValue("direction")},setTransformOrigin:function(e){n.$refs.root.style[t(window)+"-origin"]=e},setPosition:function(e){n.$refs.root.style.left="left"in e?e.left:null,n.$refs.root.style.right="right"in e?e.right:null,n.$refs.root.style.top="top"in e?e.top:null,n.$refs.root.style.bottom="bottom"in e?e.bottom:null},getAccurateTime:function(){return window.performance.now()}}),this.foundation.clickHandler_=function(e){e.stopPropagation(),n.foundation.handlePossibleSelected_(e)},this.foundation.keydownHandler_=function(e){e.stopPropagation(),n.foundation.handleKeyboardDown_(e)},this.foundation.keyupHandler_=function(e){e.stopPropagation(),n.foundation.handleKeyboardUp_(e)},this.foundation.documentClickHandler_=function(e){e.stopPropagation(),n.foundation.adapter_.notifyCancel(),n.foundation.close(e)},i(),this.foundation.init()},beforeDestroy:function(){this._previousFocus=null,this.slotObserver.disconnect(),this.foundation.destroy()}},g=function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;o(this,e),this.root_=t;for(var i=arguments.length,r=Array(i>2?i-2:0),s=2;s<i;s++)r[s-2]=arguments[s];this.initialize.apply(this,r),this.foundation_=void 0===n?this.getDefaultFoundation():n,this.foundation_.init(),this.initialSyncWithDOM()}return s(e,null,[{key:"attachTo",value:function(t){return new e(t,new d)}}]),s(e,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(e,t){this.root_.addEventListener(e,t)}},{key:"unlisten",value:function(e,t){this.root_.removeEventListener(e,t)}},{key:"emit",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],i=void 0;"function"==typeof CustomEvent?i=new CustomEvent(e,{detail:t,bubbles:n}):(i=document.createEvent("CustomEvent")).initCustomEvent(e,n,!1,t),this.root_.dispatchEvent(i)}}]),e}(),y={ROOT:"mdc-select",OPEN:"mdc-select--open",DISABLED:"mdc-select--disabled",SCROLL_LOCK:"mdc-select-scroll-lock"},I={CHANGE_EVENT:"MDCSelect:change"},b=(function(e){function n(){var e;o(this,n);for(var t=arguments.length,i=Array(t),r=0;r<t;r++)i[r]=arguments[r];var s=l(this,(e=n.__proto__||Object.getPrototypeOf(n)).call.apply(e,[this].concat(i)));return s.previousFocus_,s}u(n,g),s(n,[{key:"show",value:function(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).focusIndex,t=void 0===e?null:e;this.foundation_.open({focusIndex:t})}},{key:"hide",value:function(){this.foundation_.close()}},{key:"getDefaultFoundation",value:function(){var e=this;return new _({addClass:function(t){return e.root_.classList.add(t)},removeClass:function(t){return e.root_.classList.remove(t)},hasClass:function(t){return e.root_.classList.contains(t)},hasNecessaryDom:function(){return Boolean(e.itemsContainer_)},getAttributeForEventTarget:function(e,t){return e.getAttribute(t)},getInnerDimensions:function(){var t=e.itemsContainer_;return{width:t.offsetWidth,height:t.offsetHeight}},hasAnchor:function(){return e.root_.parentElement&&e.root_.parentElement.classList.contains("mdc-menu-anchor")},getAnchorDimensions:function(){return e.root_.parentElement.getBoundingClientRect()},getWindowDimensions:function(){return{width:window.innerWidth,height:window.innerHeight}},setScale:function(n,i){e.root_.style[t(window)]="scale("+n+", "+i+")"},setInnerScale:function(n,i){e.itemsContainer_.style[t(window)]="scale("+n+", "+i+")"},getNumberOfItems:function(){return e.items.length},registerInteractionHandler:function(t,n){return e.root_.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){return e.root_.removeEventListener(t,n)},registerBodyClickHandler:function(e){return document.body.addEventListener("click",e)},deregisterBodyClickHandler:function(e){return document.body.removeEventListener("click",e)},getYParamsForItemAtIndex:function(t){var n=e.items[t];return{top:n.offsetTop,height:n.offsetHeight}},setTransitionDelayForItemAtIndex:function(t,n){return e.items[t].style.setProperty("transition-delay",n)},getIndexForEventTarget:function(t){return e.items.indexOf(t)},notifySelected:function(t){return e.emit(_.strings.SELECTED_EVENT,{index:t.index,item:e.items[t.index]})},notifyCancel:function(){return e.emit(_.strings.CANCEL_EVENT,{})},saveFocus:function(){e.previousFocus_=document.activeElement},restoreFocus:function(){e.previousFocus_&&e.previousFocus_.focus()},isFocused:function(){return document.activeElement===e.root_},focus:function(){return e.root_.focus()},getFocusedItemIndex:function(){return e.items.indexOf(document.activeElement)},focusItemAtIndex:function(t){return e.items[t].focus()},isRtl:function(){return"rtl"===getComputedStyle(e.root_).getPropertyValue("direction")},setTransformOrigin:function(n){e.root_.style[t(window)+"-origin"]=n},setPosition:function(t){e.root_.style.left="left"in t?t.left:null,e.root_.style.right="right"in t?t.right:null,e.root_.style.top="top"in t?t.top:null,e.root_.style.bottom="bottom"in t?t.bottom:null},getAccurateTime:function(){return window.performance.now()}})}},{key:"open",get:function(){return this.foundation_.isOpen()},set:function(e){e?this.foundation_.open():this.foundation_.close()}},{key:"itemsContainer_",get:function(){return this.root_.querySelector(_.strings.ITEMS_SELECTOR)}},{key:"items",get:function(){var e=this.itemsContainer_;return[].slice.call(e.querySelectorAll(".mdc-list-item[role]"))}}],[{key:"attachTo",value:function(e){return new n(e)}}])}(),[{key:"ArrowUp",keyCode:38,forType:"keydown"},{key:"ArrowDown",keyCode:40,forType:"keydown"},{key:"Space",keyCode:32,forType:"keyup"}]),T=function(e){function t(e){o(this,t);var n=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,Object.assign(t.defaultAdapter,e)));return n.ctx_=null,n.selectedIndex_=-1,n.disabled_=!1,n.displayHandler_=function(e){e.preventDefault(),n.adapter_.isMenuOpen()||n.open_()},n.displayViaKeyboardHandler_=function(e){return n.handleDisplayViaKeyboard_(e)},n.selectionHandler_=function(e){var t=e.detail.index;n.close_(),t!==n.selectedIndex_&&(n.setSelectedIndex(t),n.adapter_.notifyChange())},n.cancelHandler_=function(){n.close_()},n}return u(t,d),s(t,null,[{key:"cssClasses",get:function(){return y}},{key:"strings",get:function(){return I}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},addBodyClass:function(){},removeBodyClass:function(){},setAttr:function(){},rmAttr:function(){},computeBoundingRect:function(){return{left:0,top:0}},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},focus:function(){},makeTabbable:function(){},makeUntabbable:function(){},getComputedStyleValue:function(){return""},setStyle:function(){},create2dRenderingContext:function(){return{font:"",measureText:function(){return{width:0}}}},setMenuElStyle:function(){},setMenuElAttr:function(){},rmMenuElAttr:function(){},getMenuElOffsetHeight:function(){return 0},openMenu:function(){},isMenuOpen:function(){return!1},setSelectedTextContent:function(){},getNumberOfOptions:function(){return 0},getTextForOptionAtIndex:function(){return""},getValueForOptionAtIndex:function(){return""},setAttrForOptionAtIndex:function(){},rmAttrForOptionAtIndex:function(){},getOffsetTopForOptionAtIndex:function(){return 0},registerMenuInteractionHandler:function(){},deregisterMenuInteractionHandler:function(){},notifyChange:function(){},getWindowInnerHeight:function(){return 0}}}}]),s(t,[{key:"init",value:function(){this.ctx_=this.adapter_.create2dRenderingContext(),this.adapter_.registerInteractionHandler("click",this.displayHandler_),this.adapter_.registerInteractionHandler("keydown",this.displayViaKeyboardHandler_),this.adapter_.registerInteractionHandler("keyup",this.displayViaKeyboardHandler_),this.adapter_.registerMenuInteractionHandler(_.strings.SELECTED_EVENT,this.selectionHandler_),this.adapter_.registerMenuInteractionHandler(_.strings.CANCEL_EVENT,this.cancelHandler_),this.resize()}},{key:"destroy",value:function(){this.ctx_=null,this.adapter_.deregisterInteractionHandler("click",this.displayHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.displayViaKeyboardHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.displayViaKeyboardHandler_),this.adapter_.deregisterMenuInteractionHandler(_.strings.SELECTED_EVENT,this.selectionHandler_),this.adapter_.deregisterMenuInteractionHandler(_.strings.CANCEL_EVENT,this.cancelHandler_)}},{key:"getValue",value:function(){return this.selectedIndex_>=0?this.adapter_.getValueForOptionAtIndex(this.selectedIndex_):""}},{key:"getSelectedIndex",value:function(){return this.selectedIndex_}},{key:"setSelectedIndex",value:function(e){this.selectedIndex_>=0&&this.adapter_.rmAttrForOptionAtIndex(this.selectedIndex_,"aria-selected"),this.selectedIndex_=e>=0&&e<this.adapter_.getNumberOfOptions()?e:-1;var t="";this.selectedIndex_>=0&&(t=this.adapter_.getTextForOptionAtIndex(this.selectedIndex_).trim(),this.adapter_.setAttrForOptionAtIndex(this.selectedIndex_,"aria-selected","true")),this.adapter_.setSelectedTextContent(t)}},{key:"isDisabled",value:function(){return this.disabled_}},{key:"setDisabled",value:function(e){var n=t.cssClasses.DISABLED;this.disabled_=e,this.disabled_?(this.adapter_.addClass(n),this.adapter_.setAttr("aria-disabled","true"),this.adapter_.makeUntabbable()):(this.adapter_.removeClass(n),this.adapter_.rmAttr("aria-disabled"),this.adapter_.makeTabbable())}},{key:"resize",value:function(){var e=this.adapter_.getComputedStyleValue("font"),t=parseFloat(this.adapter_.getComputedStyleValue("letter-spacing"));if(e)this.ctx_.font=e;else{var n=this.adapter_.getComputedStyleValue("font-family").split(",")[0],i=this.adapter_.getComputedStyleValue("font-size");this.ctx_.font=i+" "+n}for(var r=0,o=0,s=this.adapter_.getNumberOfOptions();o<s;o++){var a=this.adapter_.getTextForOptionAtIndex(o).trim(),u=this.ctx_.measureText(a).width,l=t*a.length;r=Math.max(r,Math.ceil(u+l))}this.adapter_.setStyle("width",r+"px")}},{key:"open_",value:function(){this.disableScroll_();var e=t.cssClasses.OPEN,n=this.selectedIndex_<0?0:this.selectedIndex_;this.setMenuStylesForOpenAtIndex_(n),this.adapter_.addClass(e),this.adapter_.openMenu(n)}},{key:"setMenuStylesForOpenAtIndex_",value:function(e){var t=this.adapter_.getWindowInnerHeight(),n=this.adapter_.computeBoundingRect(),i=n.left,r=n.top;this.adapter_.setMenuElAttr("aria-hidden","true"),this.adapter_.setMenuElStyle("display","block");var o=this.adapter_.getMenuElOffsetHeight(),s=this.adapter_.getOffsetTopForOptionAtIndex(e);this.adapter_.setMenuElStyle("display",""),this.adapter_.rmMenuElAttr("aria-hidden");var a=r-s,u=a+o>t;a<0?a=0:u&&(a=Math.max(0,t-o)),this.adapter_.setMenuElStyle("left",i+"px"),this.adapter_.setMenuElStyle("top",a+"px"),this.adapter_.setMenuElStyle("transform-origin","center "+s+"px")}},{key:"close_",value:function(){var e=t.cssClasses.OPEN;this.adapter_.removeClass(e),this.adapter_.focus(),this.enableScroll_()}},{key:"handleDisplayViaKeyboard_",value:function(e){if(2===e.eventPhase){"keydown"===e.type&&("Space"===e.key||32===e.keyCode)&&e.preventDefault();b.some(function(t){var n=t.key,i=t.keyCode,r=t.forType;return e.type===r&&(e.key===n||e.keyCode===i)})&&this.displayHandler_(e)}}},{key:"disableScroll_",value:function(){this.adapter_.addBodyClass(y.SCROLL_LOCK)}},{key:"enableScroll_",value:function(){this.adapter_.removeBodyClass(y.SCROLL_LOCK)}}]),t}(),A={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"mdc-select mdc-menu-select mdc-menu-anchor",class:e.classes,style:e.styles,attrs:{role:"listbox",tabindex:e.tabIndex}},[n("span",{staticClass:"mdc-select__selected-text"},[e._v(e._s(e.selectedTextContent))]),e._v(" "),n("mdc-menu",{ref:"menu",style:e.menuStyles,on:{update:e.resetIndex}},[n("li",{staticClass:"mdc-list-item",attrs:{role:"option","aria-disabled":"true","data-value":""}},[e._v(" "+e._s(e.label)+" ")]),e._v(" "),e._t("default")],2)],1)},staticRenderFns:[],name:"mdc-menu-select",model:{prop:"value",event:"change"},props:{multiple:Boolean,value:[String,Array],disabled:Boolean,label:String},data:function(){return{classes:{},styles:{},menuStyles:{},tabIndex:0,selectedTextContent:""}},components:{"mdc-menu":v},methods:{resetIndex:function(){this.foundation&&(this.foundation.setSelectedIndex(this.label?0:-1),this.$emit("change",this.foundation.getValue()))}},mounted:function(){var e=this,t=new T({addClass:function(t){return e.$set(e.classes,t,!0)},removeClass:function(t){return e.$delete(e.classes,t)},setAttr:function(t,n){return e.$el.setAttribute(t,n)},rmAttr:function(t,n){return e.$el.removeAttribute(t,n)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},registerInteractionHandler:function(t,n){return e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){return e.$el.removeEventListener(t,n)},focus:function(){return e.$el.focus()},makeTabbable:function(){e.tabIndex=0},makeUntabbable:function(){e.tabIndex=-1},getComputedStyleValue:function(t){return window.getComputedStyle(e.$el).getPropertyValue(t)},setStyle:function(t,n){return e.$set(e.styles,t,n)},create2dRenderingContext:function(){return document.createElement("canvas").getContext("2d")},setMenuElStyle:function(t,n){return e.$set(e.menuStyles,t,n)},setMenuElAttr:function(t,n){return e.$refs.menu.$el.setAttribute(t,n)},rmMenuElAttr:function(t){return e.$refs.menu.$el.removeAttribute(t)},getMenuElOffsetHeight:function(){return e.$refs.menu.$el.offsetHeight},openMenu:function(t){return e.$refs.menu.show({focusIndex:t})},isMenuOpen:function(){return e.$refs.menu.isOpen()},setSelectedTextContent:function(t){e.selectedTextContent=t},getNumberOfOptions:function(){return e.$refs.menu.items.length},getTextForOptionAtIndex:function(t){return e.$refs.menu.items[t].textContent.trim()},getValueForOptionAtIndex:function(t){return 0==t&&e.label||!e.$refs.menu.items[t]?void 0:e.$refs.menu.items[t].getAttribute("data-value")||e.$refs.menu.items[t].textContent.trim()},setAttrForOptionAtIndex:function(t,n,i){return e.$refs.menu.items[t].setAttribute(n,i)},rmAttrForOptionAtIndex:function(t,n){return e.$refs.menu.items[t].removeAttribute(n)},getOffsetTopForOptionAtIndex:function(t){return e.$refs.menu.items[t].offsetTop},registerMenuInteractionHandler:function(t,n){return e.$refs.menu.foundation.adapter_.registerInteractionHandler(t,n)},deregisterMenuInteractionHandler:function(t,n){return e.$refs.menu.foundation.adapter_.deregisterInteractionHandler(t,n)},notifyChange:function(){e.$emit("change",e.foundation.getValue())},getWindowInnerHeight:function(){return window.innerHeight},addBodyClass:function(e){return document.body.classList.add(e)},removeBodyClass:function(e){return document.body.classList.remove(e)}});if(t.init(),!this.disabled){for(var n=0,i=this.$refs.menu.items,r=0;r<i.length;r++){var o=i[r].getAttribute("data-value")||i[r].textContent.trim();this.value===o&&(n=r)}t.setSelectedIndex(n)}t.setDisabled(this.disabled),this.foundation=t,this.value!==this.foundation.getValue()&&this.$emit("change",this.foundation.getValue())},beforeDestroy:function(){var e=this.foundation;this.foundation=null,e.destroy()}},C={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("select",{directives:[{name:"model",rawName:"v-model",value:e.selected,expression:"selected"}],ref:"root",staticClass:"mdc-select mdc-multi-select mdc-list",style:e.styles,attrs:{multiple:e.multiple,disabled:e.disabled},on:{change:[function(t){var n=Array.prototype.filter.call(t.target.options,function(e){return e.selected}).map(function(e){return"_value"in e?e._value:e.value});e.selected=t.target.multiple?n:n[0]},e.onChange]}},[e.label?n("optgroup",{ref:"optgroup",staticClass:"mdc-list-group",attrs:{label:e.label}},[e._t("default")],2):e._t("default")],2)},staticRenderFns:[],name:"mdc-multi-select",model:{prop:"value",event:"change"},props:{multiple:Boolean,value:[String,Array],disabled:Boolean,label:String,"max-size":[String,Number]},data:function(){return{selected:this.value,size:void 0,count:void 0}},computed:{styles:function(){var e=this.count>this.size,t={height:48*this.size+(e?0:16)+"px","overflow-y":e?"scroll":"hidden"};return e||(t["background-image"]="unset"),t}},methods:{onChange:function(){this.$emit("change",this.selected)}},mounted:function(){var e=this,t=function(){var t=e.$refs.root.querySelectorAll("option, optgroup").length;e.count=t;var n=Number(e.maxSize);e.label&&(n+=1),e.size=Math.min(t,n)};this.slotObserver=new MutationObserver(function(){return t()}),this.slotObserver.observe(this.$el,{childList:!0,subtree:!0}),t()},beforeDestroy:function(){this.slotObserver.disconnect()}},E=new(function(){function e(){o(this,e)}return s(e,[{key:"mobile",get:function(){return this._mobile||(this._mobile=window.matchMedia("(max-width: 600px) and (pointer: coarse)"))}}]),e}()),k={render:function(){var e=this,t=e.$createElement;return(e._self._c||t)(e.type,{tag:"component",attrs:{multiple:e.multiple,"max-size":e.multiple?e.maxSize:void 0,disabled:e.disabled,label:e.label,value:e.value},on:{change:e.onChange}},[e._t("default")],2)},staticRenderFns:[],name:"mdc-select",model:{prop:"value",event:"change"},props:{multiple:Boolean,value:[String,Array],disabled:Boolean,label:String,"max-size":{type:[String,Number],default:4}},provide:function(){return{mdcSelect:this}},components:{"mdc-native-select":c,"mdc-menu-select":A,"mdc-multi-select":C},data:function(){return{mobile:!window||E.mobile.matches}},computed:{type:function(){return this.multiple?"mdc-multi-select":this.menu?"mdc-menu-select":this.native?"mdc-native-select":"mdc-menu-select"},native:function(){return this.multiple||this.mobile}},methods:{onChange:function(e){this.$emit("change",e)},refreshMedia:function(){this.mobile=E.mobile.matches}},beforeMount:function(){E.mobile.addListener(this.refreshMedia),this.refreshMedia()},beforeDestroy:function(){E.mobile.removeListener(this.refreshMedia)}},S={render:function(){var e=this.$createElement,t=this._self._c||e;return this.hasValue?t("option",{staticClass:"mdc-option mdc-native-option",attrs:{disabled:this.disabled},domProps:{value:this.value}},[this._t("default")],2):t("option",{staticClass:"mdc-option mdc-native-option",attrs:{disabled:this.disabled}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-native-option",props:{value:String,disabled:Boolean},computed:{hasValue:function(){return!("undefined"==typeof value)}}},x={render:function(){var e=this.$createElement;return(this._self._c||e)("li",{staticClass:"mdc-option mdc-menu-option mdc-list-item",attrs:{role:"option",tabindex:this.disabled?-1:0,"aria-disabled":this.disabled,"data-value":this.value}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-menu-option",props:{value:String,disabled:Boolean}},O={render:function(){var e=this.$createElement,t=this._self._c||e;return this.hasValue?t("option",{staticClass:"mdc-option mdc-multi-option mdc-list-item",attrs:{disabled:this.disabled},domProps:{value:this.value}},[this._t("default")],2):t("option",{staticClass:"mdc-option mdc-multi-option mdc-list-item",attrs:{disabled:this.disabled}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-multi-option",props:{value:String,disabled:Boolean},computed:{hasValue:function(){return!("undefined"==typeof value)}}},w=function(e){return{install:function(t){for(var n in e){var i=e[n];t.component(i.name,i)}},components:e}}({mdcSelect:k,mdcOption:{render:function(){var e=this.$createElement;return(this._self._c||e)(this.type,{tag:"component",attrs:{disabled:this.disabled,value:this.value}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-option",props:{value:String,disabled:Boolean},inject:["mdcSelect"],components:{"mdc-native-option":S,"mdc-multi-option":O,"mdc-menu-option":x},computed:{native:function(){return this.mdcSelect.native},multiple:function(){return this.mdcSelect.multiple},type:function(){return this.multiple?"mdc-multi-option":this.native?"mdc-native-option":"mdc-menu-option"}}}});return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(w),w});
//# sourceMappingURL=select.min.js.map
