/**
* @module vue-mdc-adaptertabs 0.6.3
* @exports VueMDCTabs
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.26.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCTabs=e()}(this,function(){"use strict";function t(t,e){if(!function(t){return void 0!==t.document&&"function"==typeof t.document.createElement}(t)||!function(t){return t in y||t in b}(e))return e;var n=e in y?y:b,i=t.document.createElement("div");return n===y?function(t,e,n){return e[t].styleProperty in n.style?e[t].noPrefix:e[t].webkitPrefix}(e,n,i):n[e].noPrefix in i.style?n[e].noPrefix:n[e].webkitPrefix}var e=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},n=function(){function t(t,e){for(var n=0;n<e.length;n++){var i=e[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(t,i.key,i)}}return function(e,n,i){return n&&t(e.prototype,n),i&&t(e,i),e}}(),i=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},a=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},r={props:{event:String,"event-target":Object,"event-args":Array},methods:{dispatchEvent:function(t){if(this.$emit(t.type),this.event){var e=this.eventTarget||this.$root,n=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,n=Array(t.length);e<t.length;e++)n[e]=t[e];return n}return Array.from(t)}(n)))}}}},s=function(){function t(){var n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,t),this.adapter_=n}return n(t,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),n(t,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),t}(),o={ACTIVE:"mdc-tab--active"},u={SELECTED_EVENT:"MDCTab:selected"},c=function(t){function r(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,r);var n=a(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,t)));return n.computedWidth_=0,n.computedLeft_=0,n.isActive_=!1,n.preventDefaultOnClick_=!1,n.clickHandler_=function(t){n.preventDefaultOnClick_&&t.preventDefault(),n.adapter_.notifySelected()},n.keydownHandler_=function(t){(t.key&&"Enter"===t.key||13===t.keyCode)&&n.adapter_.notifySelected()},n}return i(r,s),n(r,null,[{key:"cssClasses",get:function(){return o}},{key:"strings",get:function(){return u}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},getOffsetWidth:function(){return 0},getOffsetLeft:function(){return 0},notifySelected:function(){}}}}]),n(r,[{key:"init",value:function(){this.adapter_.registerInteractionHandler("click",this.clickHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterInteractionHandler("click",this.clickHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_)}},{key:"getComputedWidth",value:function(){return this.computedWidth_}},{key:"getComputedLeft",value:function(){return this.computedLeft_}},{key:"isActive",value:function(){return this.isActive_}},{key:"setActive",value:function(t){this.isActive_=t,this.isActive_?this.adapter_.addClass(o.ACTIVE):this.adapter_.removeClass(o.ACTIVE)}},{key:"preventsDefaultOnClick",value:function(){return this.preventDefaultOnClick_}},{key:"setPreventDefaultOnClick",value:function(t){this.preventDefaultOnClick_=t}},{key:"measureSelf",value:function(){this.computedWidth_=this.adapter_.getOffsetWidth(),this.computedLeft_=this.adapter_.getOffsetLeft()}}]),r}(),d=(function(){function t(){e(this,t)}n(t,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),f={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},l={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:300,FG_DEACTIVATION_MS:83},v=void 0,h={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},_=function(t){function r(t){e(this,r);var n=a(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign(r.defaultAdapter,t)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.xfDuration_=0,n.initialSize_=0,n.maxRadius_=0,n.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],n.listeners_={activate:function(t){return n.activate_(t)},deactivate:function(t){return n.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return n.adapter_.addClass(r.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(r.cssClasses.BG_FOCUSED)})}},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n}return i(r,s),n(r,null,[{key:"cssClasses",get:function(){return d}},{key:"strings",get:function(){return f}},{key:"numbers",get:function(){return l}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),n(r,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=r.cssClasses,n=e.ROOT,i=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(n),t.adapter_.isUnbounded()&&t.adapter_.addClass(i),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.registerInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===t,n.activationEvent=t,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),n.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=r.strings,n=e.VAR_FG_TRANSLATE_START,i=e.VAR_FG_TRANSLATE_END,a=r.cssClasses,s=a.BG_ACTIVE_FILL,o=a.FG_DEACTIVATION,u=a.FG_ACTIVATION,c=r.numbers.DEACTIVATION_TIMEOUT_MS,d="",f="";if(!this.adapter_.isUnbounded()){var l=this.getFgTranslationCoordinates_(),v=l.startPoint,h=l.endPoint;d=v.x+"px, "+v.y+"px",f=h.x+"px, "+h.y+"px"}this.adapter_.updateCssVariable(n,d),this.adapter_.updateCssVariable(i,f),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(u),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},c)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,n=void 0;return{startPoint:n={x:(n=t.wasActivatedByPointer?function(t,e,n){var i=e.x,a=e.y,r=i+n.left,s=a+n.top,o=void 0,u=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-r,u=t.changedTouches[0].pageY-s):(o=t.pageX-r,u=t.pageY-s),{x:o,y:u}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=r.cssClasses.FG_DEACTIVATION,n=this.activationState_,i=n.hasDeactivationUXRun,a=n.isActivated;(i||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},l.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=r.cssClasses,e=t.BG_ACTIVE_FILL,n=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(n),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,n=this.activationState_;if(n.isActivated){if(n.isProgrammatic){var i=Object.assign({},n);return requestAnimationFrame(function(){return e.animateDeactivation_(null,i)}),void(this.activationState_=this.defaultActivationState_())}var a=h[t.type]===n.activationEvent.type,r=a;n.wasActivatedByPointer&&(r="mouseup"===t.type);var s=Object.assign({},n);requestAnimationFrame(function(){a&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,s)),r&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var n=e.wasActivatedByPointer,i=e.wasElementMadeActive,a=r.cssClasses.BG_FOCUSED;(n||i)&&(this.adapter_.removeClass(a),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=r.cssClasses,n=e.ROOT,i=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(n),t.adapter_.removeClass(i),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.deregisterInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=r.strings;Object.keys(e).forEach(function(n){0===n.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[n],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*r.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+r.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=r.strings,e=t.VAR_FG_SIZE,n=t.VAR_LEFT,i=t.VAR_TOP,a=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(i,this.unboundedCoords_.top+"px"))}}]),r}(),p=function(t){function r(t,n){return e(this,r),a(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,Object.assign({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof v&&!e)return v;if(t.CSS&&"function"==typeof t.CSS.supports){var n=t.CSS.supports("--css-vars","yes"),i=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return v=!(!n&&!i||function(t){var e=t.document,n=e.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(n);var i=t.getComputedStyle(n),a=null!==i&&"solid"===i.borderTopStyle;return n.remove(),a}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return t.$el.getBoundingClientRect()},isSurfaceActive:function(){return t.$el[r.MATCHES](":active")},isSurfaceDisabled:function(){return t.disabled},addClass:function(e){t.$set(t.classes,e,!0)},removeClass:function(e){t.$delete(t.classes,e)},registerInteractionHandler:function(e,n){t.$el.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){t.$el.removeEventListener(e,n)},updateCssVariable:function(e,n){t.$set(t.styles,e,n)}},n)))}return i(r,_),n(r,null,[{key:"isSurfaceActive",value:function(t){return t[r.MATCHES](":active")}},{key:"MATCHES",get:function(){return r._matches||(r._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}]),r}(),m={render:function(){var t=this,e=t.$createElement,n=t._self._c||e;return n("a",{staticClass:"mdc-tab",class:t.classes,style:t.styles,on:{click:t.dispatchEvent}},[t.hasIcon?n("i",{staticClass:"material-icons mdc-tab__icon"},[t._v(t._s(t.icon))]):t._e(),t._v(" "),n("span",[t._t("default")],2)])},staticRenderFns:[],name:"mdc-tab",mixins:[r],props:{active:Boolean,icon:String},data:function(){return{classes:{},styles:{}}},computed:{hasIcon:function(){return!!this.icon},hasText:function(){return!!this.$slots.default}},methods:{getComputedWidth:function(){return this.foundation.getComputedWidth()},getComputedLeft:function(){return this.foundation.getComputedLeft()},isActive:function(){return this.foundation.isActive()},setActive:function(t){this.foundation.setActive(t)},isDefaultPreventedOnClick:function(){return this.foundation.preventsDefaultOnClick()},setPreventDefaultOnClick:function(t){this.foundation.setPreventDefaultOnClick(t)},measureSelf:function(){this.foundation.measureSelf()}},mounted:function(){var t=this;this.foundation=new c({addClass:function(e){return t.$set(t.classes,e,!0)},removeClass:function(e){return t.$delete(t.classes,e)},registerInteractionHandler:function(e,n){return t.$el.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){return t.$el.removeEventListener(e,n)},getOffsetWidth:function(){return t.$el.offsetWidth},getOffsetLeft:function(){return t.$el.offsetLeft},notifySelected:function(){!function(t,e,n){var i=arguments.length>3&&void 0!==arguments[3]&&arguments[3],a=void 0;"function"==typeof CustomEvent?a=new CustomEvent(e,{detail:n,bubbles:i}):(a=document.createEvent("CustomEvent")).initCustomEvent(e,i,!1,n),t.dispatchEvent(a)}(t.$el,c.strings.SELECTED_EVENT,{tab:t},!0)}}),this.foundation.init(),this.setActive(this.active),this.ripple=new p(this),this.ripple.init()},beforeDestroy:function(){this.foundation.destroy(),this.ripple.destroy()}},y={animationstart:{noPrefix:"animationstart",webkitPrefix:"webkitAnimationStart",styleProperty:"animation"},animationend:{noPrefix:"animationend",webkitPrefix:"webkitAnimationEnd",styleProperty:"animation"},animationiteration:{noPrefix:"animationiteration",webkitPrefix:"webkitAnimationIteration",styleProperty:"animation"},transitionend:{noPrefix:"transitionend",webkitPrefix:"webkitTransitionEnd",styleProperty:"transition"}},b={animation:{noPrefix:"animation",webkitPrefix:"-webkit-animation"},transform:{noPrefix:"transform",webkitPrefix:"-webkit-transform"},transition:{noPrefix:"transition",webkitPrefix:"-webkit-transition"}},g={UPGRADED:"mdc-tab-bar-upgraded"},A={TAB_SELECTOR:".mdc-tab",INDICATOR_SELECTOR:".mdc-tab-bar__indicator",CHANGE_EVENT:"MDCTabBar:change"},C=function(r){function o(t){e(this,o);var n=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,Object.assign(o.defaultAdapter,t)));return n.isIndicatorShown_=!1,n.computedWidth_=0,n.computedLeft_=0,n.activeTabIndex_=0,n.layoutFrame_=0,n.resizeHandler_=function(){return n.layout()},n}return i(o,s),n(o,null,[{key:"cssClasses",get:function(){return g}},{key:"strings",get:function(){return A}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},bindOnMDCTabSelectedEvent:function(){},unbindOnMDCTabSelectedEvent:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},getOffsetWidth:function(){return 0},setStyleForIndicator:function(){},getOffsetWidthForIndicator:function(){return 0},notifyChange:function(){},getNumberOfTabs:function(){return 0},isTabActiveAtIndex:function(){return!1},setTabActiveAtIndex:function(){},isDefaultPreventedOnClickForTabAtIndex:function(){return!1},setPreventDefaultOnClickForTabAtIndex:function(){},measureTabAtIndex:function(){},getComputedWidthForTabAtIndex:function(){return 0},getComputedLeftForTabAtIndex:function(){return 0}}}}]),n(o,[{key:"init",value:function(){this.adapter_.addClass(g.UPGRADED),this.adapter_.bindOnMDCTabSelectedEvent(),this.adapter_.registerResizeHandler(this.resizeHandler_);var t=this.findActiveTabIndex_();t>=0&&(this.activeTabIndex_=t),this.layout()}},{key:"destroy",value:function(){this.adapter_.removeClass(g.UPGRADED),this.adapter_.unbindOnMDCTabSelectedEvent(),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"layoutInternal_",value:function(){var t=this;this.forEachTabIndex_(function(e){return t.adapter_.measureTabAtIndex(e)}),this.computedWidth_=this.adapter_.getOffsetWidth(),this.layoutIndicator_()}},{key:"layoutIndicator_",value:function(){var e=!this.isIndicatorShown_;e&&this.adapter_.setStyleForIndicator("transition","none");var n="translateX("+this.adapter_.getComputedLeftForTabAtIndex(this.activeTabIndex_)+"px) scale("+this.adapter_.getComputedWidthForTabAtIndex(this.activeTabIndex_)/this.adapter_.getOffsetWidth()+", 1)";this.adapter_.setStyleForIndicator(function(e,n){return t(e,n)}(window,"transform"),n),e&&(this.adapter_.getOffsetWidthForIndicator(),this.adapter_.setStyleForIndicator("transition",""),this.adapter_.setStyleForIndicator("visibility","visible"),this.isIndicatorShown_=!0)}},{key:"findActiveTabIndex_",value:function(){var t=this,e=-1;return this.forEachTabIndex_(function(n){if(t.adapter_.isTabActiveAtIndex(n))return e=n,!0}),e}},{key:"forEachTabIndex_",value:function(t){for(var e=this.adapter_.getNumberOfTabs(),n=0;n<e;n++){if(t(n))break}}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"switchToTabAtIndex",value:function(t,e){var n=this;if(t!==this.activeTabIndex_){if(t<0||t>=this.adapter_.getNumberOfTabs())throw new Error("Out of bounds index specified for tab: "+t);var i=this.activeTabIndex_;this.activeTabIndex_=t,requestAnimationFrame(function(){i>=0&&n.adapter_.setTabActiveAtIndex(i,!1),n.adapter_.setTabActiveAtIndex(n.activeTabIndex_,!0),n.layoutIndicator_(),e&&n.adapter_.notifyChange({activeTabIndex:n.activeTabIndex_})})}}},{key:"getActiveTabIndex",value:function(){return this.findActiveTabIndex_()}}]),o}(),T=function(t){return{install:function(e){for(var n in t){var i=t[n];e.component(i.name,i)}},components:t}}({mdcTab:m,mdcTabBar:{render:function(){var t=this.$createElement,e=this._self._c||t;return e("nav",{staticClass:"mdc-tab-bar",class:this.classes},[this._t("default"),this._v(" "),e("span",{ref:"indicator",staticClass:"mdc-tab-bar__indicator",style:this.indicatorStyles})],2)},staticRenderFns:[],name:"mdc-tab-bar",props:{"indicator-primary":Boolean,"indicator-accent":Boolean},data:function(){return{classes:{"mdc-tab-bar--indicator-primary":this.indicatorPrimary,"mdc-tab-bar--indicator-accent":this.indicatorAccent},indicatorStyles:{},tabs:[]}},methods:{onSelect:function(t){var e=t.detail.tab,n=this.tabs.indexOf(e);if(n<0)throw new Error("mdc-tab-bar internal error: index not found");this.foundation.switchToTabAtIndex(n,!0)}},mounted:function(){var t=this;this.foundation=new C({addClass:function(e){return t.$set(t.classes,e,!0)},removeClass:function(e){return t.$delete(t.classes,e)},bindOnMDCTabSelectedEvent:function(){t.$el.addEventListener(c.strings.SELECTED_EVENT,t.onSelect)},unbindOnMDCTabSelectedEvent:function(){return t.$el.removeEventListener(c.strings.SELECTED_EVENT,t.onSelect)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getOffsetWidth:function(){return t.$el.offsetWidth},setStyleForIndicator:function(e,n){return t.$set(t.indicatorStyles,e,n)},getOffsetWidthForIndicator:function(){return t.$refs.indicator.offsetWidth},notifyChange:function(e){t.$emit("change",e.activeTabIndex)},getNumberOfTabs:function(){return t.tabs.length},isTabActiveAtIndex:function(e){return t.tabs[e].isActive()},setTabActiveAtIndex:function(e,n){t.tabs[e].setActive(n)},isDefaultPreventedOnClickForTabAtIndex:function(e){return t.tabs[e].isDefaultPreventedOnClick()},setPreventDefaultOnClickForTabAtIndex:function(e,n){t.tabs[e].setPreventDefaultOnClick(n)},measureTabAtIndex:function(e){return t.tabs[e].measureSelf()},getComputedWidthForTabAtIndex:function(e){return t.tabs[e].getComputedWidth()},getComputedLeftForTabAtIndex:function(e){return t.tabs[e].getComputedLeft()}});var e=function(){var e=[].slice.call(t.$el.querySelectorAll(C.strings.TAB_SELECTOR));t.tabs=e.map(function(t){return t.__vue__});var n=void 0,i=void 0,a=t.tabs,r=!0,s=!1,o=void 0;try{for(var u,c=a[Symbol.iterator]();!(r=(u=c.next()).done);r=!0){if(u.value.hasText){n=!0;break}}}catch(t){s=!0,o=t}finally{try{!r&&c.return&&c.return()}finally{if(s)throw o}}var d=!0,f=!1,l=void 0;try{for(var v,h=a[Symbol.iterator]();!(d=(v=h.next()).done);d=!0){if(v.value.hasIcon){i=!0;break}}}catch(t){f=!0,l=t}finally{try{!d&&h.return&&h.return()}finally{if(f)throw l}}if(n&&i?t.$set(t.classes,"mdc-tab-bar--icons-with-text",!0):i&&t.$set(t.classes,"mdc-tab-bar--icon-tab-bar",!0),t.foundation){var _=t.foundation.getActiveTabIndex();_>=0?t.foundation.switchToTabAtIndex(_,!0):t.foundation.switchToTabAtIndex(0,!0),t.foundation.layout()}};e(),this.slotObserver=new MutationObserver(function(){return e()}),this.slotObserver.observe(this.$el,{childList:!0,subtree:!0}),this.foundation.init()},beforeDestroy:function(){this.slotObserver.disconnect(),this.foundation.destroy()}}});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(T),T});
//# sourceMappingURL=tabs.min.js.map
